form_vf_assembly.cc File Reference

Go to the source code of this file.

## Namespaces

| rheolef
| This file is part of Rheolef.

## Macros

#define | _RHEOLEF_instanciate(T)

## Functions

template<class T >
T | norm_max (Eigen::Matrix< T, Eigen::Dynamic, Eigen::Dynamic > &m)
template<class T >
bool | check_is_symmetric (Eigen::Matrix< T, Eigen::Dynamic, Eigen::Dynamic > &m, const T &tol_m_max)
template<class T >
void | local_lump (Eigen::Matrix< T, Eigen::Dynamic, Eigen::Dynamic > &m)
template<class T >
void | local_invert (Eigen::Matrix< T, Eigen::Dynamic, Eigen::Dynamic > &m, bool is_diag)

## Macro Definition Documentation

## _RHEOLEF_instanciate

#define _RHEOLEF_instanciate | ( |  | T | ) |

Value:
template T norm_max (Eigen::Matrix<T,Eigen::Dynamic,Eigen::Dynamic>& m); \
template bool check_is_symmetric (Eigen::Matrix<T,Eigen::Dynamic,Eigen::Dynamic>&, const T&); \
template void local_lump (Eigen::Matrix<T,Eigen::Dynamic,Eigen::Dynamic>&); \
template void local_invert (Eigen::Matrix<T,Eigen::Dynamic,Eigen::Dynamic>&, bool); \
T
Expr1::float_type T
Definition: field_expr.h:261
mkgeo_sector.m
m
Definition: mkgeo_sector.sh:118
rheolef::local_lump
void local_lump(Eigen::Matrix< T, Eigen::Dynamic, Eigen::Dynamic > &m)
Definition: form_vf_assembly.cc:61
rheolef::local_invert
void local_invert(Eigen::Matrix< T, Eigen::Dynamic, Eigen::Dynamic > &m, bool is_diag)
Definition: form_vf_assembly.cc:77
rheolef::check_is_symmetric
bool check_is_symmetric(Eigen::Matrix< T, Eigen::Dynamic, Eigen::Dynamic > &m, const T &tol_m_max)
Definition: form_vf_assembly.cc:46
rheolef::norm_max
T norm_max(Eigen::Matrix< T, Eigen::Dynamic, Eigen::Dynamic > &m)
Definition: form_vf_assembly.cc:33

Definition at line 94 of file form_vf_assembly.cc.